<div class='registerContainer'>
  <div class='register-header'>
    <h1>
      <a href='#'><img src='assets/img/logo.svg'></a>
    </h1>
  </div>
  <div class='register-body'>
    <h2 style='text-align: center'>Evidență Deșeuri</h2>
    <br>
    <div *ngIf='!forgotPassword'>
      <h3>Creează cont</h3>
      <dx-form [(formData)]="registerData" validationGroup='registerValidation'>
        <dxi-item [label]="{ visible: false}" dataField="fullName" editorType="dxTextBox" [editorOptions]="{ placeholder: 'Nume Prenume' }">
          <dxi-validation-rule type="required" message="Numele este obligatoriu"></dxi-validation-rule>
        </dxi-item>
        <dxi-item [label]="{ visible: false}" dataField="_Companie_" editorType="dxTextBox" [editorOptions]="{ placeholder: 'Denumire Companie' }"></dxi-item>
        <dxi-item [label]="{ visible: false}" dataField="_CIF_" editorType="dxTextBox" [editorOptions]="{ placeholder: 'CIF' }"></dxi-item>
        <dxi-item [label]="{ visible: false}" dataField="emailAddress" editorType="dxTextBox" [editorOptions]="{ placeholder: 'Adresă e-mail' }">
          <dxi-validation-rule type='email' message='Adresa de e-mail nu este validă'></dxi-validation-rule>
          <dxi-validation-rule type="required" message="Adresa de e-mail este obligatorie"></dxi-validation-rule>
        </dxi-item>
        <dxi-item [label]="{ visible: false}" dataField="_Telefon_" editorType="dxTextBox" [editorOptions]="{ placeholder: 'Telefon' }">
          <dxi-validation-rule type="required" message="Numarul de telefon este obligatoriu"></dxi-validation-rule>
        </dxi-item>
        <!-- <dxi-item [label]="{visible: false}" dataField="isConfirm" editorType='dxCheckBox' [editorOptions]="{ text: ''}"></dxi-item> -->
        <dxi-item>
          <dx-check-box [(value)]='registerData.isConfirm'></dx-check-box>
          <p style='font-size: 14px; display: inline;margin-left: 5px;'>Am citit și sunt de acord cu
            <a href='{{termCond}}' target='_blank'>Termenii și Condițiile</a>
          </p>
        </dxi-item>
      </dx-form>
      <div style='margin: 20px auto; width: 170px;'>
        <dx-button class="register-btn" text="Înregistrare" (onClick)="onRegister($event)" validationGroup='registerValidation'
          [disabled]='!registerData.isConfirm || ds.isButtonDisable'></dx-button>
      </div>
    </div>
    <div *ngIf='forgotPassword'>
      <h3>Resetează parola</h3>
      <dx-validation-group>
        <dx-text-box placeholder='Adresă e-mail' [(value)]='resetEmail'>
          <dx-validator #emailValidation>
            <dxi-validation-rule type="required" message="Adresa de e-mail este obligatorie"></dxi-validation-rule>
            <dxi-validation-rule type='email' message='Adresa de e-mail nu este validă'></dxi-validation-rule>
          </dx-validator>
        </dx-text-box>
        <br>
        <dx-validation-summary></dx-validation-summary>
        <dx-button text='Trimite' type='default' (onClick)="onResetPassword($event)" [disabled]='ds.isButtonDisable'></dx-button>
        <span style='font-size: 0.8em;margin: 10px'>sau</span>
        <a href='#/login' style='font-size: 12px'>Anulare</a>
      </dx-validation-group>
    </div>
  </div>
  <div class='register-footer'>
    <h4> © Copyright 2014 - 2019 <a href='https://www.dohu.ro'>DoHu Consulting</a>. Toate drepturile rezervate</h4>
  </div>
</div>